<?php
include_once("../include/main.inc.php");
check_session('MyCpanel','index.php');

################ Paging Starts From Here ##################
@extract($_REQUEST);
$start = (intval($start)==0 or $start=="")?$start=0:$start;
$pagesize = intval($pagesize)==0?$pagesize=100:$pagesize;

if($parentID=="") {
	$parentID=0;
}

$heading="Subdomain Meta Tags";
$record_type="Subdomain page";
$script_name="manage_subdomainmetatag.php";
$table_name="subdomainmetatag_pages";
#################### Add Record ##################
if($_REQUEST['action']=="add_record" && $catName!="") {
	$sql=db_query("select * from $table_name where catName='$catName' and parentID='$parentID'");
	$num=NumRows($sql);
	if($num>0) {
	$_SESSION['session_message']=$record_type.' already exist';
	}
	else{
		if($_FILES['image']['name']!="") {
			$file_extension=strtolower(getExtension($_FILES['image']['name']));
			if($file_extension!="jpg" && $file_extension!="gif" && $file_extension!="jpeg" && $file_extension!="png") {
				$_SESSION['session_message']='Please upload image (.jpg,.gif,.png Format Only)';
				header("Location: ".SITE_ADMIN_URL."/".$script_name."?start=".$start."&parentID=".$parentID."&catID=".$catID."&pagesize=".$pagesize);
				exit;
			}
			if($_FILES['image']['name']!="") {
				$img_name=date("d_m_Y_H_i_s");
				$img=upload_file($img_name,"image","uploaded_files/category_images");
				
				$width="50";
				$height="50";
				$source_folder=SITE_DIR_PATH."/uploaded_files/category_images/";
				$destination_folder=SITE_DIR_PATH."/uploaded_files/category_images/thumbs/";
				saveResizedImage($img, $width, $height, $source_folder, $destination_folder);
			}
			if($_FILES['image']['name']!="") {
				$img_name=date("d_m_Y_H_i_s");
				$img=upload_file($img_name,"image","uploaded_files/category_images");
				
				$width="50";
				$height="50";
				$source_folder=SITE_DIR_PATH."/uploaded_files/category_images/";
				$destination_folder=SITE_DIR_PATH."/uploaded_files/category_images/thumbs/";
				saveResizedImage($img1, $width, $height, $source_folder, $destination_folder);
			}
		}
		$maxRes=db_fetch_array(db_query("select max(catOrder) from $table_name where parentID='$parentID'"));
		$catOrder=$maxRes[0]+1;
		$sql=db_query("insert into $table_name set parentID='$parentID', catName='$catName', catDesc='$catDesc', catImage='$img', feature_image='$img1', catOrder='$catOrder'");
		$_SESSION['session_message']=$record_type.' has been added successfully';
		header("Location: ".SITE_ADMIN_URL."/".$script_name."?start=".$start."&parentID=".$parentID."&catID=".$catID."&pagesize=".$pagesize);
		exit;
	}
}

####################################################

if($action=="Update") {
	while (list($key,$val)=each($_POST)) {
		if (substr($key,0,6)=="order_") {
			$key1 = substr($key,6,strlen($key)-6);
			$qry1=db_query("update $table_name set catOrder='$val' where catID='$key1'");
		}
	}
	$_SESSION['session_message']=$record_type.' order has been updated successfully';
	header("Location: ".SITE_ADMIN_URL."/".$script_name."?start=".$start."&parentID=".$parentID."&catID=".$catID."&pagesize=".$pagesize);
	exit;
}

if($id=="delete_record") {
	
		
		$categoryRes=getResult($table_name," where catID='$catID'");
		$filename=$categoryRes['catImage'];
		if($filename!="") {
			$file=SITE_DIR_PATH."/uploaded_files/category_images/".$filename;
			if(file_exists($file)) {
				unlink($file);
			}
			
			$file_thumb=SITE_DIR_PATH."/uploaded_files/category_images/thumbs/".$filename;
			if(file_exists($file_thumb)) {
				unlink($file_thumb);
			}
		}
			
		db_query("delete from $table_name where catID='$catID'");
		$_SESSION['session_message']=$record_type.' has been deleted successfully';
	
	
	header("Location: ".SITE_ADMIN_URL."/".$script_name."?start=".$start."&parentID=".$parentID."&catID=".$catID."&pagesize=".$pagesize);
	exit;	 
}

if($id=="deactivate_record") {
	updateTable($table_name," status='N' where catID='$catID' and status='Y' ");
	$_SESSION['session_message']=$record_type.' has been deactivated successfully.';
	header("Location: ".SITE_ADMIN_URL."/".$script_name."?start=".$start."&parentID=".$parentID."&catID=".$catID."&pagesize=".$pagesize);
	exit;
}

if($id=="activate_record") {
	updateTable($table_name," status='Y' where catID='$catID' and status='N' ");
	$_SESSION['session_message']=$record_type.' has been activated successfully.';
	header("Location: ".SITE_ADMIN_URL."/".$script_name."?start=".$start."&parentID=".$parentID."&catID=".$catID."&pagesize=".$pagesize);
	exit;
}

if($id=="set_top_business_category") {
	updateTable($table_name," topBusinessCategory='Y', status='Y' where catID='$recordID'");
	$_SESSION['session_message']=$record_type.' has been set as top business category successfully.';
	header("Location: ".SITE_ADMIN_URL."/".$script_name."?start=".$start."&parentID=".$parentID."&catID=".$catID."&pagesize=".$pagesize);
	exit;
}

if($id=="unset_top_business_category") {
	
	$homeCnt=getCount($table_name," where topBusinessCategory='Y' and parentID='0'");
	if ($homeCnt < 4) {
		$_SESSION['session_message']=$record_type.' is required hence can not be unset as top business category.';
		header("Location: ".SITE_ADMIN_URL."/".$script_name."?start=".$start."&parentID=".$parentID."&catID=".$catID."&pagesize=".$pagesize);
		exit;
	}
	
	updateTable($table_name," topBusinessCategory='N' where catID='$recordID'");
	$_SESSION['session_message']=$record_type.' has been unset as top business category successfully.';
	header("Location: ".SITE_ADMIN_URL."/".$script_name."?start=".$start."&parentID=".$parentID."&catID=".$catID."&pagesize=".$pagesize);
	exit;	
}

########################################################
admin_header("Manage $record_type");	
?>
<table width="99%" border="0" align="center" cellpadding="0" cellspacing="0" valign="top">
 <tr>
	<td align="left" width="50%" class="myTitle"><?=$heading;?></td>
	<td align="right">
	 <form name="pagesize_form" action="<?=$PHP_SELF?>" method="post" style="margin:0px;padding:0px;">
	 <table width="98%" border="0" align="center" cellpadding="0" cellspacing="0" valign="top">
	  <tr>
	   <td align="right">Records Per Page:
	    <select name="pagesize" onchange="this.form.submit();">
	     <option value="0">Select</option>
	     <?php
	     foreach($_GLOBALS['pgsize_arr'] as $val) {
		     if(trim($pagesize)==trim($val)) {
			     echo '<option value="'.$val.'" selected>'.$val.'</option>';
		     }
		     else{
			     echo '<option value="'.$val.'">'.$val.'</option>';
		     }
	     }
	     ?>
	    </select>
	    <input type="hidden" name="catID" value="<?=$catID;?>">
	    <input type="hidden" name="parentID" value="<?=$parentID;?>">
		 </td>
		</tr>
	 </table>
	 </form>
	</td>
 </tr>
</table>
<hr size="2" width="99%" color="#DA251C">
<?php
##################Product Search Option###################
?>
<form name="srch" method="post" action="" style="display:inline" enctype="multipart/form-data">
<table width="100%"  border="0" cellpadding="0" cellspacing="2">
 <tr>
  <td align="right"><b>Search Category </b> [by name etc.] :-
   <input type="text" name="keyword" value="" size="40" class="search-input-xs">
   <input type="submit" class="button" value="GO">   
  </td>
 </tr>   
</table>
</form>

<?php
$cond="";
if (strlen($keyword)) {
	?>
	<br/>
	<div style="width:99%;">
	 <div style="float:left;"><strong>Search For :</strong> <?=$keyword;?></div>
	 <div style="float:right;"><a href="javascript:history.go(-1);"><strong>Go Back</strong></a></div>
	</div> 
	<?php
	$cond=" and (catName like '%$keyword%' or catDesc like '%$keyword%')";
}
$qry1= db_query("select * from $table_name where parentID='$parentID' $cond ");
$reccnt = NumRows($qry1);
$qry= db_query("select * from $table_name where parentID='$parentID' $cond order by catgType asc, catName asc limit $start, $pagesize");
echo pageNavigation($reccnt,$pagesize,$start);
print_message();
?>

  <div class="row">
   <?php
   if($parentID!="" && $parentID!=0) {
	   page_nav($parentID);
   }
   ?>
  </div>
<br/>
  <div class="text-right">
   <input type="button" onclick="window.location.href='<?=SITE_ADMIN_URL;?>/addeditsubdomainmetatag.php?parentID=<?=$parentID;?>'" value="Add New <?=$record_type;?>" class="button btn btn-success">
  </div>
<br />

<form name="formn" method="post" action="" enctype="multipart/form-data">
<table width="100%"  border="0" cellpadding="2" cellspacing="2" class="lightBorder">
 <?php if($reccnt>0) { ?>
    <thead>
 <tr bgcolor="#EAEAEA">
  <td width="5%" height="20" align="left"><strong>S.No.</strong></td>
  <td width="40%" align="left"><strong>Subdomain Pages</strong></td>
  <td width="5%" align="center"><strong>Order</strong></td>
  <td width="10%" align="left"><strong>Options</strong></td>
 </tr>
 </thead>
 <?php
 $sl=$start+1;
 while($arr=mysqli_fetch_array($qry)) {
	//  $arr=ms_htmlentities_decode($arr);
	 if($sl%2!=0) {
		 $color="#f9f9f9";
	 }
	 else{
		 $color="#f0f0f0";
	 }
	 
	 $catgType1=$arr['catgType'];
	 
	  if($catgType1=='0') {
		 $catgType2="Products";
	 }
	 	  if($catgType1=='1') {
		 $catgType2="Services";
	 }
	 
	 	 	  if($catgType1=='2') {
		 $catgType2="Courses";
	 }
?>
	<tbody>
	 <tr  bgcolor="<?=$color;?>">
	  <td align="left"><?=$sl;?>.</td>
	  <td align="left" class="<?=$class?>">
	   <a href="<?=SITE_ADMIN_URL;?>/<?=$script_name;?>?parentID=<?=$arr['catID'];?>"><b><?=$arr['catName'];?></b>  </a> &nbsp;&nbsp;[<?= $catgType2;?>]
	   <?php
	   if($arr['status']=="N") {
		   echo "&nbsp;<span class='icon'>Inactive</span>";
	   }
	   ?>	  </td>
	  <td class="<?=$class?>" align="center"><input name="order_<?=$arr['catID'];?>" class="txtfieldadmin" type="text" size="2" value="<?=$arr['catOrder'];?>"></td>
	  <td class="<?=$class?>" align="left">
	   <a href="<?=SITE_ADMIN_URL?>/addeditsubdomainmetatag.php?start=<?=$start;?>&catID=<?=$arr['catID'];?>&parentID=<?=$parentID;?>&pagesize=<?=$pagesize;?>"><img src="<?=SITE_ADMIN_URL?>/images/edit.gif" alt="Edit This <?=$record_type;?>" title="Edit This <?=$record_type;?>" border="0"></a>
	   <?php if($arr['status']=='Y' && $parentID!=0) { ?>
	   &nbsp;<a href="<?=SITE_ADMIN_URL?>/<?=$script_name;?>?id=deactivate_record&start=<?=$start;?>&catID=<?=$arr['catID'];?>&parentID=<?=$parentID;?>&pagesize=<?=$pagesize;?>"><img src="<?=SITE_ADMIN_URL?>/images/active.gif" alt="Deactivate This <?=$record_type;?>" title="Deactivate This <?=$record_type;?>" border="0"></a>
	   <?php }
	   if($arr['status']=='N' && $parentID!=0) { ?>
	   &nbsp;<a href="<?=SITE_ADMIN_URL?>/<?=$script_name;?>?id=activate_record&start=<?=$start;?>&catID=<?=$arr['catID'];?>&parentID=<?=$parentID;?>&pagesize=<?=$pagesize;?>"><img src="<?=SITE_ADMIN_URL?>/images/deactive.gif" alt="Activate This <?=$record_type;?>" title="Activate This <?=$record_type;?>" border="0"></a>
	   <?php } ?>
	   
	   <?php /*if(!anyreference($arr['catID']) && $parentID!=0) { */ ?>
	   &nbsp;<a href="<?=SITE_ADMIN_URL?>/<?=$script_name;?>?id=delete_record&start=<?=$start;?>&catID=<?=$arr['catID'];?>&parentID=<?=$parentID;?>&pagesize=<?=$pagesize;?>" onClick="return confirm('Are you sure to delete this <?=$record_type;?>...');"><img src="<?=SITE_ADMIN_URL?>/images/cancel.gif" alt="Delete This <?=$record_type;?>" title="Delete This <?=$record_type;?>" border="0"></a>
	   <?php /*} */?>
	   &nbsp;<a href="<?=SITE_ADMIN_URL?>/addeditsubdomainmetatag.php?start=<?=$start;?>&catID=<?=$arr['catID'];?>&parentID=<?=$parentID;?>&pagesize=<?=$pagesize;?>"><img src="<?=SITE_ADMIN_URL?>/images/preview.gif" width="16" height="16" alt="Manage Meta Details" title="Manage Meta Details" border="0"></a>	  </td>
	 </tr>
	 <?php
	 $sl++;
 }
 ?>
 <tr>
  <td class="" colspan=3></td>
  <td align="center" class="'.$class.'">
   <input type="submit" name="Submit" value="Update" class="button">
   <input type="hidden" name="action" value="Update" class="button">  </td>
  </tr>
 <?php } else{ ?>
 <tr><td><b><h5 align="center">No Record Found........</h5></b></td></tr>
 <?php } ?>
</tbody> 
</table>
</form><br/>

<?php

admin_footer();
exit;
?>